Name:       uio-reguser
Version:    0.17
Release:    3%{?dist}
Summary:    Scripts for making and moving UiO users

Group:      System Environment/Base
License:    GPLv3+

URL:        http://www.uio.no/tjenester/it/maskin/linux/
Source0:    adduser
Source1:    remakeuser
Source2:    samepart.pl
Source3:    mkini
Source4:    mvtest-recv
Source5:    mvtest-send
Source6:    mvuser-recv
Source7:    mvuser-send
Source8:    bash_login
Source9:    bash_logout
Source10:   bashrc
Source11:   cshrc
Source12:   envir
Source13:   login
Source14:   thunderbird_profiles.ini
Source15:   thunderbird_userContent.css
Source16:   thunderbird_Windows-prefs.js
Source17:   clean-moved-users

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:   star

# Explicit perl requires, they aren't all found automatically
Requires:   perl(Readonly)
Requires:   perl(Carp)
Requires:   perl(Getopt::Long)
Requires:   perl(File::Basename)
Requires:   perl(File::Find::Rule::Age)
Requires:   perl(Log::Log4perl)
Requires:   perl(File::Path)
Requires:   perl(Date::Parse)
Requires:   perl(IO::Handle)
Requires:   perl(File::stat)
Requires:   perl(UiO::NetApp)
Requires:   perl(Sys::Hostname)
Requires:   perl(English)
Requires:   perl(Sys::Syslog)

%{?perl_default_filter}

%description
This package contains administrative scripts and utilities used at UiO
for creating and moving users.

%prep
%setup -q -c -T

%build

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_libexecdir}/%{name}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/new
install -p -m 0755 %{SOURCE0} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE1} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE2} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE3} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE4} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE5} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE6} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE7} %{buildroot}%{_libexecdir}/%{name}
# shell setup files
install -p -m 0644 %{SOURCE8} %{buildroot}%{_datadir}/%{name}/new/.bash_login
install -p -m 0644 %{SOURCE9} %{buildroot}%{_datadir}/%{name}/new/.bash_logout
install -p -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/%{name}/new/.bashrc
install -p -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/%{name}/new/.cshrc
install -p -m 0644 %{SOURCE12} %{buildroot}%{_datadir}/%{name}/new/.envir
install -p -m 0644 %{SOURCE13} %{buildroot}%{_datadir}/%{name}/new/.login
# thunderbird files
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/thunderbird
install -p -m 0644 %{SOURCE14} %{buildroot}%{_datadir}/%{name}/thunderbird/profiles.ini
install -p -m 0644 %{SOURCE15} %{buildroot}%{_datadir}/%{name}/thunderbird/userContent.css
install -p -m 0644 %{SOURCE16} %{buildroot}%{_datadir}/%{name}/thunderbird/Windows-prefs.js
# helper scripts
install -d -m 0755 %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE17} %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libexecdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/new
%dir %{_datadir}/%{name}/thunderbird
%{_libexecdir}/%{name}/*
%{_datadir}/%{name}/new/.??*
%{_datadir}/%{name}/thunderbird/*
%{_bindir}/clean-moved-users

%changelog
* Thu Apr 11 2024 Yadassa Hordoffa Alla <yadassaa@uio.no> - 0.17-3
- Minor change in symbolic link fix for different rhel-os-releases

* Thu Apr 11 2024 Yadassa Hordoffa Alla <yadassaa@uio.no> - 0.17-2
- symbolic link copying fix for different rhel-os-releases

* Tue Mar 12 2024 Yadassa Hordoffa Alla <yadassaa@uio.no> - 0.17-1
- symbolic link copying fix

* Mon Jan 22 2024 Trond Hasle Amundsen <trondham@uio.no> - 0.16-1
- Minor bugfix

* Mon Jan 22 2024 Trond Hasle Amundsen <trondham@uio.no> - 0.15-1
- Make output parseable for move_user

* Mon Jan 22 2024 Trond Hasle Amundsen <trondham@uio.no> - 0.14-1
- Improve logging

* Mon Jan 22 2024 Trond Hasle Amundsen <trondham@uio.no> - 0.13-1
- Add syslog logging for mvuser-send and mvuser-recv

* Fri Aug 25 2023 Trond Hasle Amundsen <trondham@uio.no> - 0.12-2
- Explicitly require perl modules

* Mon Apr 19 2021 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.12-1
- mvuser-send: chomp() to avoid printing empty lines

* Fri Jan 15 2021 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.11-1
- mvuser-send: Exit with error if we are unable to rename
  the home directory

* Wed Oct 21 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.10-1
- adduser: Change default umask for new homedirs 066 -> 077

* Tue Nov  6 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9-2
- Add perl_default_filter in spec

* Mon Sep  9 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9-1
- Add verbose option for clean-moved-users

* Mon May 20 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-2
- Fix tiny bug in clean-moved-users

* Mon May 20 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-1
- Extend clean-moved-users with a new '-e|--error' option

* Mon Jun 11 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.7-2
- Fix syntax bug in mvuser-send

* Mon Jun  4 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.7-1
- Modernize mvuser scripts
- Add clean-moved-users helper script

* Fri Feb 10 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-1
- mvuser-send: Check permissions on .user.moved only if it exists

* Mon Jan 23 2017 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.5-1
- mvuser-send: Give error if .user.moved has wrong permissions

* Sun Aug 16 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-1
- remakeuser: Use proper path for adduser

* Tue Nov 18 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-1
- mvuser-recv: Use /site/bin/star if it exists

* Thu Apr 10 2014 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- adduser: fix for arguments that contain space

* Wed Mar  7 2012 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Initial release
